eoFunctorStore(3)

NAME
eoFunctorStore - eoFunctorStore is a class that stores functors that are allocated on the heap.

SYNOPSIS

#include <eoFunctorStore.h>

Inherited by eoState.

  Public Member Functions
eoFunctorStore ()
Default Ctor.
virtual ~eoFunctorStore ()
clears the memory
template<class Functor> Functor & storeFunctor (Functor *r)
Add an eoFunctorBase to the store.

  Private Member Functions
eoFunctorStore (const eoFunctorStore &)
no copying allowed
eoFunctorStore operator= (const eoFunctorStore &)
no copying allowed

  Private Attributes
std::vector< eoFunctorBase * > vec

Detailed Description

eoFunctorStore is a class that stores functors that are allocated on the heap. This class can be used in factories to store allocated memory for dynamically created functors.

Definition at line 39 of file eoFunctorStore.h.

Author

Generated automatically by Doxygen for EO from the source code.